
TYPO3.Neos - Bug # 58588

Status: Resolved Priority: Must have
Author: Aske Ertmann Category: JavaScript
Created: 2014-05-07 Assigned To: Adrian Föder
Updated: 2014-05-26 Due date:
Subject: Hardcoded URIs in backend
Description

in Resource/Public/JavaScript there are occurrences of neos/; fixing directions:

    -  Image editor and asset editor pointing to the media browser
    -  Resources\Public\JavaScript\Content\Inspector\Editors\ImageEditor.js: _defaultUploadPreviewImageSource:
'/_Resources/Static/Packages/TYPO3.Neos/Images/dummy-image.png', // TODO: we need a way to fetch the static resources base
URI and template: Ember.Handlebars.compile('<iframe style="width:100%; height: 100%" src="/neos/content/assets"></iframe>')
    -  Menu panel controller checks for /neos/
    -  Publish menu has a link to the workspaces module

Related issues:
duplicated by TYPO3.Neos - Bug # 59072: Multiple 404 if 'base url' is not '/' Closed 2014-05-24

Associated revisions
Revision 5d75e38d - 2014-05-15 11:06 - Adrian Föder

[FEATURE] uri.module view helper

This introduces an uri.module view helper as counterpart
to the link.module view helper.

Change-Id: I692b6caec317e2be517d264f26f5661e67d0464b
Related: #58588
Reviewed-on: https://review.typo3.org/29944
Reviewed-by: Aske Ertmann
Tested-by: Aske Ertmann
Reviewed-by: Rens Admiraal
Reviewed-by: Christopher Hlubek
Tested-by: Christopher Hlubek

Revision ad3380e3 - 2014-05-15 12:00 - Adrian Föder

[BUGFIX] Resolve hardcoded URIs in Backend context

This removes occurrences of hard coded URIs to
end points, modules etc. This finally enables
using Neos with custom routes or being installed
below a subdirectory.
Change-Id: Ia32360a99cd11b50935160a424546876579b46c7
Releases: 1.1, master
Fixes: #58588
Reviewed-on: https://review.typo3.org/29933
Reviewed-by: Christopher Hlubek
Tested-by: Christopher Hlubek

Revision d3dd0014 - 2014-05-26 16:43 - Adrian Föder

[BUGFIX] Resolve hardcoded URIs in Backend context

This removes occurrences of hard coded URIs to
end points, modules etc. This finally enables
using Neos with custom routes or being installed
below a subdirectory.

Change-Id: Ia32360a99cd11b50935160a424546876579b46c7
Releases: 1.1, master
Fixes: #58588
Reviewed-on: https://review.typo3.org/29933
Reviewed-by: Christopher Hlubek
Tested-by: Christopher Hlubek
(cherry picked from commit ad3380e354fd58f2585fc1575a697f7c4e9039b2)
Reviewed-on: https://review.typo3.org/30406
Reviewed-by: Christian Mueller
Tested-by: Christian Mueller

Revision c6def106 - 2014-05-26 17:12 - Adrian Föder

[FEATURE] uri.module view helper

This introduces an uri.module view helper as counterpart
to the link.module view helper.

Change-Id: I692b6caec317e2be517d264f26f5661e67d0464b
Related: #58588
Reviewed-on: https://review.typo3.org/29944
Reviewed-by: Aske Ertmann
Tested-by: Aske Ertmann
Reviewed-by: Rens Admiraal
Reviewed-by: Christopher Hlubek
Tested-by: Christopher Hlubek
(cherry picked from commit 5d75e38df1422aa74440d74706df10546f718f3b)
Reviewed-on: https://review.typo3.org/30413
Reviewed-by: Christian Mueller
Tested-by: Christian Mueller

History
#1 - 2014-05-08 14:43 - Gerrit Code Review
- Status changed from Accepted to Under Review
Patch set 2 for branch master of project Packages/TYPO3.Neos has been pushed to the review server.
It is available at https://review.typo3.org/29933

#2 - 2014-05-08 17:54 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.Neos has been pushed to the review server.
It is available at https://review.typo3.org/29933

#3 - 2014-05-08 18:05 - Gerrit Code Review

Patch set 4 for branch master of project Packages/TYPO3.Neos has been pushed to the review server.
It is available at https://review.typo3.org/29933

#4 - 2014-05-13 22:08 - Gerrit Code Review

Patch set 5 for branch master of project Packages/TYPO3.Neos has been pushed to the review server.
It is available at https://review.typo3.org/29933

#5 - 2014-05-13 22:12 - Gerrit Code Review

Patch set 6 for branch master of project Packages/TYPO3.Neos has been pushed to the review server.
It is available at https://review.typo3.org/29933

#6 - 2014-05-15 11:47 - Gerrit Code Review

Patch set 7 for branch master of project Packages/TYPO3.Neos has been pushed to the review server.
It is available at https://review.typo3.org/29933

#7 - 2014-05-15 12:36 - Adrian Föder
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:ad3380e354fd58f2585fc1575a697f7c4e9039b2.

#8 - 2014-05-26 16:43 - Gerrit Code Review
- Status changed from Resolved to Under Review

Patch set 1 for branch 1.1 of project Packages/TYPO3.Neos has been pushed to the review server.
It is available at https://review.typo3.org/30406

#9 - 2014-05-26 17:36 - Adrian Föder
- Status changed from Under Review to Resolved
Applied in changeset commit:d3dd0014cfddf0d5467bf4917b41c58ea422b43b.
